com.microfocus.awm.model

## Interface IHostConnector

-     public interface IHostConnector

  Main AWM remote communication interface. Host connectors are called by various AWM functions (e.g. Remote Edit). Before executing a remote function, AWM searches for a host connector to support the currently used `ISystemImage`. The used `ISystemImage` is by default taken from the `ITaurusSystem` of the active application.

  Available host connectors can be queried by using `HostConnectorFinder`.

  Not intended to be implemented by clients.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITaurusEditUtilities` | `getEditUtilities()`
    `IFileUtilities` | `getFileUtilities()`
    `ITaurusJobUtilities` | `getJobUtilities()`
    `ITaurusPropertySetUtilities` | `getPropertySetUtilities()` Deprecated. the interface `ITaurusPropertySetUtilities` is no longer used.
    `ISystemUtilities` | `getSystemUtilities()`
    `boolean` | `supportsSystemImageType(java.lang.Class<?> pClass)` Returns whether the given `ISystemImage` implementation is supported by this host connector.

- - ### Method Detail

    - #### getFileUtilities

          IFileUtilities getFileUtilities()

      Returns:
        An implementation of `IFileUtilities` or `null`, if the system does not offer any data set tools.

    - #### getSystemUtilities

          ISystemUtilities getSystemUtilities()

      Returns:
        An implementation of `ISystemUtilities`.

    - #### getJobUtilities

          ITaurusJobUtilities getJobUtilities()

      Returns:
        An implementation of `ITaurusJobUtilities` or `null`, if the system does not support accessing jobs.

    - #### getEditUtilities

          ITaurusEditUtilities getEditUtilities()

      Returns:
        An implementation of `ITaurusEditUtilities` or `null`, if the system does not offer any remote edit tools.

    - #### getPropertySetUtilities

          @Deprecated
          ITaurusPropertySetUtilities getPropertySetUtilities()

      Deprecated. the interface `ITaurusPropertySetUtilities` is no longer used.
      Returns:
        An implementation of `ITaurusPropertySetUtilities` or `null`, if the system does not offer any remote edit tools.

    - #### supportsSystemImageType

          boolean supportsSystemImageType(java.lang.Class<?> pClass)

      Returns whether the given `ISystemImage` implementation is supported by this host connector.
      Parameters:
        `pClass` - an `ISystemImage` implementation.
      Returns:
        `true` if the given system image is supported by this connector and `false` otherwise.

Copyright © 2015 Micro Focus GmbH. All rights reserved.